import java.util.*;

class NPETest{

  public static class SubClass{
    public String getValue(){
      return null;
    }
  }

  public void methodCall(Map<String, SubClass> map){
    System.out.println(map.get("bug").getValue().length());
  }

  public void varAccess(Map<String, SubClass> map){
    SubClass test = map.get("bug");
    System.out.println(test.getValue().length());
  }

}

public class Test{
  public static void main(String[] args) throws Exception{
    NPETest test = new NPETest();
    Map<String, NPETest.SubClass> map = new HashMap<>();
    map.put("test", new NPETest.SubClass());

    if(args.length == 0){
      test.methodCall(map);
    }
    else{
      test.varAccess(map);
    }
  }
}
