package wdbpress.java17.examples.jaxws;

import wdbpress.java17.examples.jaxws.wsimport.*;

public class WSClient{
  public static void main(String[] args){
    CountriesPortService service = new CountriesPortService();
    CountriesPort port = service.getCountriesPortSoap11();
    ObjectFactory factory = new ObjectFactory();

    GetCountryRequest req = factory.createGetCountryRequest();
    req.setName("Spain");
    GetCountryResponse res = port.getCountry(req);

    Country country = res.getCountry();
    System.out.println("Name: " + country.getName());
    System.out.println("Population: " + country.getPopulation());
    System.out.println("Capital: " + country.getCapital());
    System.out.println("Currency: " + country.getCurrency().name());
  }
}
